> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.emnify.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.emnify.com/_mcp/server.

# SMS details

GET https://cdn.emnify.net/api/v1/endpoint/{endpoint_id}/sms/{sms_id}

Required permissions Beta [Learn more](/developers/api-guidelines/permissions#how-permissions-work)`Endpoint.Sms` + `Get`Roles: Administrator User ObserverReturns details about an Endpoint SMS by SMS ID.A description of the SMS statuses is as follows:- `1`: Delivery attempt pending
- `2`: In progress
- `3`: Buffered
- `4`: Delivered
- `5`: Failed
- `6`: Expired
- `7`: Canceled

Reference: https://docs.emnify.com/developers/api/endpoint/endpoint-sms-by-endpoint-id-and-sms-id-get

## Authentication

- `Authorization` header (bearer token, required) — An `auth_token` should be provided to authenticate a session. To obtain an `auth_token`, see the [`/api/v1/authenticate` **POST** request](/developers/api/authentication/authenticate).

## Request

### Path parameters

- `endpoint_id` (integer, required) — Numeric ID of an endpoint
- `sms_id` (double, required) — The numeric ID of an SMS

## Response

### 200

- `submit_date` (string, optional)
- `delivery_date` (string, optional)
- `expiry_date` (string, optional)
- `final_date` (string, optional)
- `retry_date` (string, optional, nullable)
- `last_delivery_attempt` (string, optional)
- `retry_count` (integer, optional)
- `gsm_map_error` (string, optional)
- `dcs` (integer, optional)
- `pid` (integer, optional)
- `source_address` (string, optional)
- `endpoint` (ApiV1EndpointEndpointIdSmsSmsIdGetResponsesContentApplicationJsonSchemaEndpoint, optional)
- `sim_id` (string, optional)
- `iccid` (string, optional)
- `msisdn` (string, optional)
- `imsi` (string, optional)
- `msc` (string, optional)
- `udh` (string, optional)
- `payload` (string, optional)
- `id` (integer, optional)
- `status` (ApiV1EndpointEndpointIdSmsSmsIdGetResponsesContentApplicationJsonSchemaStatus, optional)
- `sms_type` (ApiV1EndpointEndpointIdSmsSmsIdGetResponsesContentApplicationJsonSchemaSmsType, optional)
- `source_address_type` (ApiV1EndpointEndpointIdSmsSmsIdGetResponsesContentApplicationJsonSchemaSourceAddressType, optional)

## Errors

### 403 Forbidden Error

Your role doesn't include the permission this endpoint requires. Most endpoints return `error_code`, `error_token`, and `message`. Some return only `status_code` and `message`.

- `error_code` (integer, optional)
- `error_token` (string, optional)
- `status_code` (integer, optional)
- `message` (string, optional)

## Types

### ApiV1EndpointEndpointIdSmsSmsIdGetResponsesContentApplicationJsonSchemaEndpoint

### ApiV1EndpointEndpointIdSmsSmsIdGetResponsesContentApplicationJsonSchemaStatus

### ApiV1EndpointEndpointIdSmsSmsIdGetResponsesContentApplicationJsonSchemaSmsType

### ApiV1EndpointEndpointIdSmsSmsIdGetResponsesContentApplicationJsonSchemaSourceAddressType

## Examples

**Response**

```json
{
  "submit_date": "2019-10-05T13:56:59.000Z",
  "delivery_date": "2019-10-05T13:56:59.000Z",
  "expiry_date": "2019-10-06T13:56:59.000Z",
  "final_date": "2019-10-05T13:57:03.000Z",
  "retry_date": null,
  "last_delivery_attempt": "2019-10-05T13:57:00.000Z",
  "retry_count": 0,
  "dcs": 0,
  "pid": 0,
  "source_address": "1234567890",
  "endpoint": {
    "id": 166,
    "name": "Your Endpoint"
  },
  "sim_id": "625",
  "iccid": "8988303000000001000",
  "msisdn": "883XXXXXXXXXXXX",
  "imsi": "901XXXXXXXXXXXX",
  "msc": "491600190000",
  "udh": "",
  "payload": "test",
  "id": 590,
  "status": {
    "description": "DELIVERED",
    "id": 4
  },
  "sms_type": {
    "description": "MT",
    "id": 1
  },
  "source_address_type": {
    "description": "National",
    "id": 161
  }
}
```

**SDK Code**

```python SMS Details
import requests

url = "https://cdn.emnify.net/api/v1/endpoint/1/sms/1.1"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript SMS Details
const url = 'https://cdn.emnify.net/api/v1/endpoint/1/sms/1.1';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go SMS Details
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://cdn.emnify.net/api/v1/endpoint/1/sms/1.1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby SMS Details
require 'uri'
require 'net/http'

url = URI("https://cdn.emnify.net/api/v1/endpoint/1/sms/1.1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java SMS Details
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://cdn.emnify.net/api/v1/endpoint/1/sms/1.1")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php SMS Details
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://cdn.emnify.net/api/v1/endpoint/1/sms/1.1', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp SMS Details
using RestSharp;

var client = new RestClient("https://cdn.emnify.net/api/v1/endpoint/1/sms/1.1");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift SMS Details
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://cdn.emnify.net/api/v1/endpoint/1/sms/1.1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```